#include <bits/stdc++.h>
using namespace std;
using ll = long long;

void solve()
{
    ll n;
    cin >> n;
    n*=2;
    vector<ll> a(n);
    //for(int i = 0; i < n; i++)cin >> a[i];
    a[0] = 1;
    ll l = 2;
    ll r = n;
    for(int i = 1; i < n; i++){
        if(i%2==0){
            a[i] = l;
            l++;
        }else{
            a[i] = r;
            r--;
        }
    }
    for(int i = 0; i < n; i++){
        if(i== n/2){
            cout << "\n";
        }
        cout << a[i] << " ";
    }
    cout << "\n";





}

int main()
{
    ios_base::sync_with_stdio(false);
    int t;
    t = 1;
    //cin >> t;
    while(t--){
        solve();
    }
}